Subject: Re: [SUA Issue 27]: Hostname as Routing Parameter

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 24 Aug 2001 13:49:26 -0500

John,

I agree with Sandeep.  Hostname is pretty worthless.  This is also
rather related to the "enhanced" SUA-User, the enhancements of which
are really not in scope with SCCP transport.

I think the Sandeep's "New Hostname" could maybe include URL.
Using, for example, and ENUM URL makes more sense perhaps than just
a Hostname.

It might be easier to strike all of the SUA-User enhancements from
the draft and address them in a separate extension draft (because
only these new "extended" SUA-Users can use them).  They are neither
necessary for SCCP transport, not seamless SS7 interworking.

The internal mechanics of how an SG performs its AMF (whether that
be external DNS lookups or LDAP queries for that matter) are
completely up to the SG implementation.  SCCP itself mentions that
remote databases could be consulted for performing SCCP Translation,
but, of course that is left for "further study".

If we want to leave Hostname and IP address (would that be IPv4 or
IPv6 or both?) as place-holders in the Address format, there is no
real problem with that.  Their use, however, should be reserved for
an extension draft and clearly stated (I believe that is already is)
that SCCP-Users do not use these parameters.

--brian

John Loughney wrote:                                         (Fri, 24 Aug 2001 14:47:58)
> Hi all,
> 
> There has been a request to address usage of hostname as a routing
> parameter.  See attached message.
> 
> John
> 
> > a) In Roting Indicator == Hostname , SSN is optional .
> > Does it means resolution of Hostname  should result into IP
> > address + SSN ?
> >
> > b)'From section 1.5.3
> > Routing on Hostname: SCTP association ID towards next relay
> > node, (new) Hostname and optionally SSN and/or Routing Context.'
> >
> > Does it mean resolution of Hostname can result in IP address
> > of next node and a new Hostname ?
> >
> > Considering above two requirements existing DNS mechanism can
> > not be used for resolving hostname. What scheme SUA proposes/recommends
> > for resolving hostname present in SUA source/destination address parameter
> ?
> 
> These I consider to be implementation dependent.  DNS is not promoted
> as the way to handle resolution, but as an example.
> 
> Sandeep >> This is a bad example then, DNS CAN'T be used in this case. There
> is
> no existing Resource Record (RR) TYPE that can be used in DNS query and
> response. If SUA suggests an extension in DNS (a new RR TYPE or something
> else)
> , it should be clearly stated.
> 
> Please note that IUA, M2UA, M3UA do not explain how to get from
> the SS7 address to the IP address, except through local mechanisms.
> 
> I think the most I could do is to clarify that DNS is a mechanism
> that can be used, but there are others.
> 
> Sandeep >> I disagree with the proposal of using hostname as listed above.
> Hostname had always been used as an alias to IP address(s) and lets keep it
> like
> that. If we need some logical number/string that after resolution  yields
> a) SUA/SCCP User (IP addr + SSN, DPC + SSN)
> b) IP addr of next node + New Hostname + SSN (optional)
> This logical number/string is not hostname and I suggest we do not use terms
> "hostname" and "DNS".
> 
> Local configurations can be used to get above desired results, but then how
> is
> it different from GTT.
> 
> 
> 
> 
> best regards,
> John
> 
> 
> 
> 
> 
> ---
> You are currently subscribed to sigtran as: [email-masked]
> To unsubscribe send a blank email to [email-masked]

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 24 Aug 2001 15:28:17 -0500

....resend

John,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---